import { PuppeteerBlocker } from "@ghostery/adblocker-puppeteer";
import { Page } from "puppeteer";
import { Logger } from "winston";
export interface CollectedBeacon {
    url: string;
    query: string;
    filter: string;
    listName: string;
    stack: {}[];
    timestamp: string;
}
export declare class BeaconRecorder {
    private page;
    private logger;
    collectedBeacons: CollectedBeacon[];
    private blockers;
    constructor(page: Page, logger: Logger);
    setup_beacon_recording(): Promise<void>;
    decodeURLParams(search: string): {};
    loadBlockers(): {
        "easyprivacy.txt": PuppeteerBlocker;
        "fanboy-annoyance.txt": PuppeteerBlocker;
    };
}
